##parameters=contentFilter=None,suppressHiddenFiles=1
##title=wrapper method around listFolderContents
# rewrite of getFolderContents to work on Plone 2.0.3+

contents = None
try:
    contents = context.listFolderContents(contentFilter=contentFilter, suppressHiddenFiles=suppressHiddenFiles)
except TypeError:
    #XXX Manually do suppression
    context.plone_log('Manual fall back in getFolderContents - your Folder.listFolderContents method does not ' \
                      'support suppressHiddenFiles')
    contents = [obj
                for obj in context.listFolderContents(contentFilter=contentFilter)
                if not obj.getId().startswith('.')
               ]
return contents